function CGL=CGL(f,a,b,n,m)%composite G-L method
%f is the function & a,b is the interval
%(b-a)/n is the step & m is number of node
switch m
    case 2%2-node
        h=(b-a)./n;
        CGL=h./2.*sum(f(a+((1:n)-1/2).*h...
-h./(2*sqrt(3)))+f(a+((1:n)-1/2).*h+h./(2*sqrt(3))));
    case 3%3-node
        h=(b-a)./(2*n);
        CGL=h./9.*sum(5.*f(a+(2.*(1:n)-1).*h-h.*sqrt(3/5))...
+5.*f(a+(2.*(1:n)-1).*h+h.*sqrt(3/5))+8.*f(a+(2.*(1:n)-1).*h));
end
end