function CS=CS(f,a,b,n)%composite Simpson's method
%f is the function & a,b is the interval
%(b-a)/n is the step
h=(b-a)./n;
S0=f(a)+f(b);
S1=0;
S2=0;
for i=1:n-1
    X=a+i.*h;
    if mod(i,2)==0
        S2=S2+f(X);
    else
        S1=S1+f(X);
    end
end
CS=h.*(S0+2.*S2+4.*S1)./3;
end