function integral=MC2(n)
%本函数使用算法二计算sin(x^2)在0到1上的积分

% 设定 x 的范围和点的数量
xmin = 0;
xmax = 1;
num_points = n;

% 生成随机点
x = rand(1, num_points) * (xmax - xmin) + xmin;

% 计算随机点对应的函数值
y = sin(x.^2);

% 计算积分值
integral = (xmax - xmin) * (sum(y) / num_points);
end