function NCS=NCS(x,t,f)
%x is interpolating nodes,t is variable,
%f is interpolated function
n=length(x);
a=f(x);
b=zeros(1,n);
c=zeros(1,n);
d=zeros(1,n);
h=zeros(1,n);
alpha=zeros(1,n);
l=zeros(1,n);
mu=zeros(1,n);
z=zeros(1,n);
for i=1:n-1
    h(i)=x(i+1)-x(i);
end
for i=2:n-1
    alpha(i)=(a(i+1)-a(i)).*3./h(i)-(a(i)-a(i-1)).*3./h(i-1);
end
l(1)=1;
mu(1)=0;
z(1)=0;
for i=2:n-1
    l(i)=2.*(x(i+1)-x(i-1))-h(i-1).*mu(i-1);
    mu(i)=h(i)./l(i);
    z(i)=(alpha(i)-h(i-1).*z(i-1))./l(i);
end
l(n)=1;
z(n)=0;
c(n)=0;
for j=1:n-1
    c(n-j)=z(n-j)-mu(n-j).*c(n-j+1);
    b(n-j)=(a(n-j+1)-a(n-j))./h(n-j)-h(n-j)...
        .*(c(n-j+1)+2.*c(n-j))./3;
    d(n-j)=(c(n-j+1)-c(n-j))./(3.*h(n-j));
end
S=zeros(1,length(t));
for j=1:n-1
    p=(x(j)<=t) & (t<x(j+1));
    S(p)=a(j)+b(j).*(t(p)-x(j))+c(j).*(t(p)-x(j))...
        .^2+d(j).*(t(p)-x(j)).^3;
end
S(length(t))=a(n);
NCS=S;
end