clear
clc
format long
N0=100;%maximal number of iterations
TOL=1e-6;%tollerance of error
p0=1;%initial approximation
for i=1:N0+1
if i<=N0
    p1=g(p0);
    p2=g(p1);
    p = p0-(p1-p0)^2/(p2-2*p1+p0);%new p
    if abs(p-p0)<TOL%reach the tollerance of error
        disp(['the fixed point is ',num2str(p)])
        %output the fixed point
        break%break the loop
    else
        p0=p;%set p to be the new initial approximation
    end
else
    disp(['Method failed after ','num2str(N0)',' iterations'])
    %the method failed
end
end


function y=g(x)
y=(sin(x)-x^2+1)/2;
end