function M=get_mat_sparse(n,p)
%get a sparse matrix M with density p in (Mij)_{i~=j}
M0=ones(n);%n*n matrix of ones
M1=eye(n);%n*n identity matrix
M2=binornd(1,p,n);%n*n matrix of 2-points distributed
%random number in the interval with parameter p
ind=M0-M1;
M=ind.*M2+n*M1;
end