function newton=newton(x,t,f)
%x is interpolating nodes,t is variable,
%f is interpolated function
n=length(x);
F=zeros(n,n);
for i=1:n
    F(i,1)=f(x(i));
    for j=2:i
        F(i,j)=(F(i,j-1)-F(i-1,j-1))./(x(i)-x(i-j+1));
    end
end
newton=zeros(1,length(t));
for i=1:n
    d=ones(1,length(t));
    for j=1:i-1
        d=d.*(t-x(j));
    end
    newton=newton+d.*F(i,i);
end
end
