clear
clc
format long
N0=100;%maximal number of iterations
TOL=1e-10;%tollerance of error
x0=0;
x1=1;
x2=2;%initial value
h1=x1-x0;
h2=x2-x1;
delta1=(f(x1)-f(x0))/h1;
delta2=(f(x2)-f(x1))/h2;
a=(delta2-delta1)/(h2+h1);
for i=3:N0+1
if i<=N0
    b=delta2+h2*a;
    d=sqrt(b^2-4*a*f(x2));
    if abs(b-d)<abs(b+d)
        e=b+d;
    else
        e=b-d;
    end
    h=-2*f(x2)/e;
    p=x2+h;%set new point
    if abs(h)<TOL%reach the tollerance of error
        disp(['the root is ',num2str(p)])%output the root
        break%break the loop
    else
        x0=x1;
        x1=x2;
        x2=p;
        h1=x1-x0;
        h2=x2-x1;
        delta1=(f(x1)-f(x0))/h1;
        delta2=(f(x2)-f(x1))/h2;
        a=(delta2-delta1)/(h2+h1);%set new value
    end
else
    disp(['Method failed after ',num2str(N0),' iterations'])
    %the method failed
end
end
function y=f(x)
y=2*x^5-5*x^4+2*x-3;
end