clear
clc
format long
N0=100;%maximal number of iterations
TOL=1e-6;%tolerence of error    
p0=1;%initial value
for i=1:N0+1
if i<=N0
    p=p0-f(p0)/df(p0);%next value
    if abs(p-p0)<TOL%reach the tolerence of error
        disp(['The root is ',num2str(p)])%output the root
        break%break the loop
    else
        p0=p;%set new p0
    end
else
    disp(['Method failed after ',num2str(N0),' iterations'])
    %the method failed
end
end
function y=f(x)
y=exp(3*x)-x^3-2;
end
function y=df(x)%the derivative of f
y=3*exp(3*x)-3*x^2;
end