clear%清除以防止变量重叠

p = 0:1000:100000;
q = 0:0.1:1;

%获取功率分布和取到值点
for n=1:101
    for k=1:11
    m(n,k)=-Pa2([p(n),q(k)]);
    end
end

%阻尼系数、振子浮子相对速度幂指数与输出功率关系图形化

surface(p,q,m');
hline = findobj(gca,'Type','line');
set(hline,'LineWidth',0.9)
colormap('jet')
xlabel('阻尼系数/(N·s/m)','FontSize',12)
ylabel('相对速度幂指数','FontSize',12)
zlabel('输出功率/W','FontSize',12)
view(3)
grid on