function Rbg=Rbg(f,a,b,n)%Romberg's method
%f is the function & a,b is the interval
%(b-a)/n is the step
h=b-a;
R(1,1)=h./2.*(f(a)+f(b));
for i=2:n
    R(2,1)=1/2.*(R(1,1)+h.*sum(f(a+((1:2^(i-2))-0.5).*h)));
    for j=2:i
        R(2,j)=(4^(j-1).*R(2,j-1)-R(1,j-1))./(4^(j-1)-1);
    end
    h=h/2;
    for j=1:i
        R(1,j)=R(2,j);
    end
end
Rbg=R(1,n);
end